# User interface stuffs...
{ config, pkgs, lib, ... }:
lib.mkIf config.services.xserver.enable {
  services.xserver = {
    displayManager = {
      defaultSession = "xfce+i3";
    };
    windowManager.i3 = {
      enable = lib.mkIf config.services.xserver.enable true;
      package = pkgs.i3-gaps;
      extraPackages = with pkgs; [
        dmenu
        i3status
        i3lock
        raiseorlaunch
        # xfce.xfce4-clipman-plugin
      ];
    };
    desktopManager = {
      xfce = {
        enable = true;
        noDesktop = true;
        enableXfwm = false;
      };
    };
  };
}
