{ config, lib, ... }:
let
  fqdn = "jellyfin.${config.networking.fqdn}";
in {
  networking.hosts = {
    "127.0.0.1" = [ fqdn ];
  };
  helpers.webservices."${fqdn}".port = 8096;
  services.jellyfin = {
    enable = true;
    group = lib.mkDefault "media";
  };
  users.groups.media = {};
}
