{ config, lib, ... }:
let
  fqdn = "nitter.${config.networking.fqdn}";
in {
  services.nitter = {
    enable = true;
    server = {
      hostname = "${fqdn}";
      address = "127.0.0.1";
      https = config.security.acme.acceptTerms;
    };
    preferences = {
      replaceTwitter = "${fqdn}";
      replaceInstagram = "farside.link/bibliogram";
      replaceYouTube = if config.services.invidious.enable then "${config.services.invidious.domain}" else "farside.link/invidious";
    };
  };
  helpers.webservices."${fqdn}".port = config.services.nitter.server.port;
}
