{ config, lib, ... }:
let
  fqdn = "plik.${config.networking.fqdn}";
in {
  services.plikd = {
    enable = true;
    openFirewall = true;
    settings = {
      ListenAddress = "0.0.0.0";
      ListenPort = 8844;
      MaxFileSize = lib.mkDefault 1000000000;
      MaxTTL = lib.mkDefault 7776000;
    };
  };
  helpers.webservices."${fqdn}".port = config.services.plikd.settings.ListenPort;
  services.nginx = {
    clientMaxBodySize = lib.mkDefault "1000M";
  };
}
