{
  services.yggdrasil = {
    enable = true;
    # persistentKeys = true;
      # The NixOS module will generate new keys and a new IPv6 address each time
      # it is started if persistentKeys is not enabled.

    config = {
      IFName = "ygg0";
      Listen = [
        "tls://0.0.0.0:32333"
        "tls://[::]:32333"
      ];
      MulticastInterfaces = [
        {
          Regex = ".*";
          Beacon = true;
          Listen = true;
          Port = 32332;
          Priority = 0;
        }
      ];
      Peers = [
        # Yggdrasil will automatically connect and "peer" with other nodes it
        # discovers via link-local multicast annoucements. Unless this is the
        # case (it probably isn't) a node needs peers within the existing
        # network that it can tunnel to.

        # Public Peers: https://github.com/yggdrasil-network/public-peers
      ];
    };
  };
  # configFile = "/run/keys/yggdrasil.conf";
}
